{ lib, buildGoModule, fetchFromGitHub }:

buildGoModule rec {
  pname = "co2_exporter";
  version = "unstable-2022-11-03";

  src = fetchFromGitHub {
    owner = "sbruder"; # fork of am3o’s original version
    repo = pname;
    rev = "49ee376d257c0d92dcb819de6d67bb16d64b0339";
    sha256 = "sha256-GJyIS6G0egSfk6LI38VqXg+E+WWQqJRmcvUU9Nk5MSo=";
  };

  subPackages = [ "." ];

  vendorSha256 = "sha256-CMo6FBzw0/OMKEX12oNqhbF/0dRRFR6W3VRp+EU6Q68=";

  oCheck = false; # no tests

  meta = with lib; {
    license = licenses.mit;
    maintainer = with mainatiners; [ sbruder ];
  };
}
