# fuuko

## Hardware

Custom build in a be quiet! Pure Base 600.

 * Motherboard: GIGABYTE B450M S2H
 * CPU: AMD Ryzen 5 1400
 * RAM: 2×8GB GOODRAM DDR4-2666 CL19
 * PSU: be quiet! System Power B9 450W
 * SSD: Intel DC S4500 480GB
 * HDD: Seagate Exos E 7E8 ST8000NM000A and WD Ultrastar DC HC320 0B36404 (both 8 TB) in btrfs RAID1
 * GPU (required for text console/firmware due to lack of integrated graphics in R5 1400): NVIDIA Quadro NVS 290 (the PCIe x1 variant)
 * Case fan: Noctua NF-A9 PWM
 * Blu-ray burner LG WH16NS60
 * Additional NIC: Intel I225-V
 * Wireless card Gigabyte GC-WB1733D-I
   (includes user-serviceable Intel Wireless-AC 9260 card)

## Purpose

It is my main storage server
that is responsible for handling storage and processing of big files
to which I need a high throughput connection.
It also acts as a router for my home network
and provides a wireless access point.

## Notes on Wireless

TL;DR: Never try to build an AP yourself, just get a dedicated AP and use OpenWrt.

 * Wireless cards are M.2 A+E key and don’t fit in a M.2 E key slot,
   because apparently using USB for Bluetooth is a good idea.
 * Intel Wireless cards only support AP mode on 2.4 GHz [because of broken LAR](https://bugzilla.kernel.org/show_bug.cgi?id=206469).
 * Almost all wireless cards only support one band at the same time (no dual-band AP).
 * Realtek Wireless cards don’t work at all (no wonder).
 * Hostapd’s configuration file is … interesting.
 * Regulatory stuff is fun.

## Name

Fuuko Ibuki is a student in *Clannad* who carves starfish out of wood.
