{ lib, ... }:

{
  services.nginx.virtualHosts = builtins.listToAttrs (map
    (fqdn: lib.nameValuePair fqdn {
      enableACME = true;
      forceSSL = true;

      locations."/".extraConfig = ''
        proxy_pass http://fuuko.vpn.sbruder.de/;
        proxy_set_header Host ${fqdn};
      '';
    })
    [
      "languagetool.sbruder.de"
      "media.sbruder.de"
      "torrent.sbruder.de"
    ]);
}
